LibreOffice LibreOffice 6.1 SDK API Reference

Classes | Modules
RegistryServiceManager.idl File Reference
`import "com/sun/star/lang/ServiceManager.idl";`
`import "com/sun/star/lang/MultiServiceFactory.idl";`
`import "com/sun/star/lang/XInitialization.idl";`
`import "com/sun/star/beans/XPropertySet.idl";`
`import "com/sun/star/registry/XSimpleRegistry.idl";`

Go to the source code of this file.

## Classes
service | RegistryServiceManager
| Provides a collection of implementations for services reading from a persistent registry storage. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::lang
| General UNO concepts like factories etc.